package com.mortals.xhx.module.access.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.access.model.vo.AccessStatLogVo;
import lombok.Data;
/**
 * 统计日志实体对象
 *
 * @author zxfei
 * @date 2024-07-26
 */
@Data
public class AccessStatLogEntity extends AccessStatLogVo {
    private static final long serialVersionUID = 1L;

    /**
     * 接入Id
     */
    private Long accessId;
    /**
     * 站点Id
     */
    private Long siteId;
    /**
     * 站点编码
     */
    private String siteCode;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 统计开始时间
     */
    private Date statStartTime;
    /**
     * 统计结束时间
     */
    private Date statEndTime;
    /**
     * 站点Id
     */
    private Long duration;
    /**
     * 类型 (ALL.全部,PJQ.评价器,PDJ.排队机)
     */
    private String type;
    /**
     * 备注
     */
    private String remark;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AccessStatLogEntity) {
            AccessStatLogEntity tmp = (AccessStatLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.accessId = 0L;
        this.siteId = null;
        this.siteCode = "";
        this.siteName = "";
        this.statStartTime = null;
        this.statEndTime = null;
        this.duration = 0L;
        this.type = "全部";
        this.remark = "";
    }
}